<br />

<div align="center">

<img src="https://md.sudovanilla.org/images/Zorn%20Player.png" alt="Logo" height="64"/>

</div>

<br/>

<div align="center">

In-House Player built by MinPluto

<br />

<a href="https://codeberg.org/MinPluto/Zorn/" target="_blank"><img src="https://md.sudovanilla.org/images/badges/sdvn-badges-codeberg.png"/></a>
<a href="https://npm.sudovanilla.org/-/web/detail/@minpluto/zorn" target="_blank"><img src="https://md.sudovanilla.org/images/badges/sdvn-badges-npmjs.png"/></a>
<a href="https://www.npmjs.com/package/@minpluto/zorn" target="_blank"><img src="https://md.sudovanilla.org/images/badges/sdvn-badges-packages.png"/></a>

</div>

<div align="center">

![Zorn using Milieu enabled](https://md.sudovanilla.org/images/zorn_player_milieu_with_transparency-video_islandia.png)

</div>

## About
Zorn is a web video player built for Astro. Originally built for a MinPluto frontend project, that was scrapped. The player offers features such as ambient mode, custom settings menu, YouTube with Invidious API, and the ability to add a separated audio source. Ability to view m3u8 streams are also possible, supporting live streams.

## Links

General:
 - [Showcase](https://studio.sudovanilla.org/)
 - [Demo](https://zorn.demo.sudovanilla.org/)
 - [Documentations](https://zorn.docs.sudovanilla.org/)

 Source Code:
 - [SudoVanilla Ark](https://ark.sudovanilla.org/MinPluto/Zorn/) (Official)
 - [Codeberg](https://codeberg.org/MinPluto/Zorn/) (Mirror)
 - [Disroot](https://git.disroot.org/MinPluto/Zorn) (Mirror)
 - [Pub Solar](https://git.pub.solar/MinPluto/Zorn) (Mirror)

 > Any other mirrors of the repository that are not listed here are not official and not controlled by SudoVanilla or MinPluto. There are plans to expand the list to other Forgejo instances.


 ## License

 ```
Copyright (C) 2023 - 2025 MinPluto

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see https://www.gnu.org/licenses/.
```